Authorization endpoint (Authorization Code + PKCE)
Authorization endpoint (Authorization Code + PKCE)
Starts the Authorization Code flow with PKCE. Requires a valid session. On success responds with a 302 redirect to the client’s redirect_uri carrying code and state. When there is no valid session (login_required) it redirects (302) to the login page with the original authorize URL in next_url. Other typed OAuth errors do NOT redirect and return an OAuth error body.
Authentication
Api-Keystring
API key of the organization. Always sent together with the Secret-Access header.
Headers
Secret-Access
Query parameters
response_type
Must be 'code'
Allowed values:
client_id
OAuth client identifier
redirect_uri
Client redirect URI
scope
Space-separated scopes
state
Opaque client state
code_challenge
PKCE code challenge
code_challenge_method
PKCE method (S256)
Allowed values:
nonce
OIDC nonce
Response
Successful Response
Errors
400
Bad Request Error
401
Unauthorized Error
422
Unprocessable Entity Error
